# uip_udp_conn Struct Reference
[The uIP TCP/IP stack]

`#include <uip.h>`

## Detailed Description

Representation of a uIP UDP connection.

Examples:

  dhcpc.h, and resolv.c.

Definition at line 1210 of file uip.h.

## Data Fields

uip_ipaddr_t | ripaddr
| The IP address of the remote peer.
u16_t | lport
| The local port number in network byte order.
u16_t | rport
| The remote port number in network byte order.
u8_t | ttl
| Default time-to-live.
uip_udp_appstate_t | appstate
| The application state.